Bug 210860 - QuantLib-doc conflicts with SDL_sound-devel
QuantLib-doc conflicts with SDL_sound-devel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: QuantLib (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE7Target
  Show dependency treegraph
 
Reported: 2006-10-16 05:50 EDT by Ivan Gyurdiev
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-06 23:30:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2006-10-16 05:50:00 EDT
QuantLib should use namespaces for their manpages, in addition to the software.
It's surprising to me that developers don't realize this is a problem - I
install everything, and I am *never* able to upgrade the result via yum.
Manpages will mess up a 2.4 GB transaction every time.

  file /usr/share/man/man3/format.3.gz from install of
SDL_sound-devel-1.0.1-2.lvn6 conflicts with file from package
QuantLib-doc-0.3.13-4.fc6
  file /usr/share/man/man3/rate.3.gz from install of
SDL_sound-devel-1.0.1-2.lvn6 conflicts with file from package
QuantLib-doc-0.3.13-4.fc6
Comment 1 Ivan Gyurdiev 2006-10-16 06:10:04 EDT
What I meant in my comment above is that I see this happening all the time, and
no lessons are learned. The solution is not to fix the package - it's to fix the
package and implement a distro-wide packaging policy: No namespace on manpages
-> package rejected for inclusion.

A bug already seems filed for the other package.
Comment 2 Christopher Stone 2006-12-03 11:19:46 EST
namespaces have been added to SDL_sound man pages in SDL_sound-1.0.1-5
Comment 3 Tom "spot" Callaway 2007-01-06 23:30:24 EST
Fixed in QuantLib-0.3.14-1.

Note You need to log in before you can comment on or make changes to this bug.